package com.docus.server.collection.service;

import com.docus.server.collection.dto.TBasicDto;
import com.docus.server.collection.entity.TBasic;

import java.util.Date;

public interface ITBasicService {

    public void setTBasic(TBasicDto dto) throws Exception;

    public void updateTBasic(TBasicDto dto) throws Exception;

    public void updateAdmissTBasic(TBasicDto dto) throws Exception;

    /**
     * 根据病案主键，查询母亲信息
     * @param babyPatientId 病案主键
     * @return 母亲基础信息
     */
    TBasic getSdRyParentPatientInfo(String babyPatientId);

    /**
     * 根据病案主键，查询是否是婴儿患者
     * 病案号中包含B的是婴儿
     * @param patientId 病案主键
     * @return 是否婴儿患者
     */
    boolean getIsBabyBasic(String patientId);

    /**
     * 按照报告时间和住院号，匹配患者住院次数
     * @date 2024/1/10 8:33
     * @author YongBin Wen
     * @param inpatientNo 住院号
     * @param reportDate 报告时间
     * @param timeRangeAddedHour 匹配范围添加（小时）
     * @return java.lang.Integer
     */
    Integer matchingAdmissTimesByInpNoAndReportTime(String inpatientNo, Date reportDate, long timeRangeAddedHour);
}
