package com.docus.server.collection.util;


import com.docus.core.util.DateUtil;
import com.docus.server.collection.dto.BacklPushDto;

import java.util.Date;
import java.util.UUID;

/**
 * @BelongsProject: docus_medicalrecord_starter
 * @BelongsPackage: com.docus.services.statistical.util
 * @Author: jiashi
 * @CreateTime: 2022-12-27  15:33
 * @Description: TODO
 * @Version: 1.0
 */
public class BackPushUtil {


    /**
     * @description 将推送对象转为xml字符串
     * @author  jiashi
     * @date 2023-07-12 14:14
     * @param dto
     * @return: java.lang.String
     */
    public static String getXml(BacklPushDto dto) {
        String result=
                "<PRPA_HIP1265 xmlns=\"urn:hl7-org:v3\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" ITSVersion=\"XML_1.0\" xsi:schemaLocation=\"urn:hl7-org:v3\">\n" +
                        "\t<!--id-消息流水号 UUID -->\n" +
                        "\t<id extension=\""+ UUID.randomUUID()+"\"/>\n" +
                        "\t<!--creationTime-消息创建时间 -->\n" +
                        "\t<creationTime value=\""+ DateUtil.format(new Date(),DateUtil.PATTERN_DATETIME_MINI)+"\"/>\n" +
                        "\t<!--interactionId-消息的服务标识 -->\n" +
                        "\t<interactionId root=\"2.16.840.1.113883.1.6\" extension=\"PRPA_HIP1265\"/>\n" +
                        "\t<!--processingCode-处理代码。标识此消息是否是产品、训练、调试系统的一部分。D：调试；P：产品；T：训练 -->\n" +
                        "\t<processingCode code=\"P\"/>\n" +
                        "\t<!-- processingModeCode-处理模型代码。定义此消息是一个文档处理还是一个初始装载的一部分。A： 存档；I：初始装载；R：从存档中恢复；T：当前处理，间隔传递。 -->\n" +
                        "\t<processingModeCode/>\n" +
                        "\t<!-- acceptAckCode-接收确认类型 AL：总是确认；NE：从不确认；ER：仅在错误/或拒绝时确认；SU： 仅在成功完成时确认。 -->\n" +
                        "\t<acceptAckCode code=\"AL\"/>\n" +
                        "\t<receiver typeCode=\"RCV\">\n" +
                        "\t\t<device classCode=\"DEV\" determinerCode=\"INSTANCE\">\n" +
                        "\t\t\t<id>\n" +
                        "\t\t\t\t<!-- 接收方编号请向集成平台提供商获取 -->\n" +
                        "\t\t\t\t<item extension=\"Orion-001\"/>\n" +
                        "\t\t\t</id>\n" +
                        "\t\t</device>\n" +
                        "\t</receiver>\n" +
                        "\t<sender typeCode=\"SND\">\n" +
                        "\t\t<device classCode=\"DEV\" determinerCode=\"INSTANCE\">\n" +
                        "\t\t\t<id>\n" +
                        "\t\t\t\t<!-- 发送方编号请向集成平台提供商获取 -->\n" +
                        "\t\t\t\t<item extension=\"PaperlessManagementMRIS-001\"/>\n" +
                        "\t\t\t</id>\n" +
                        "\t\t</device>\n" +
                        "\t</sender>\n" +
                        "\t<controlActProcess classCode=\"STC\" moodCode=\"EVN\">\n" +
                        "\t\t<code code=\"InpatientEncounterStarted\">\n" +
                        "\t\t\t<displayName value=\"归档解档服务\"/>\n" +
                        "\t\t</code>\n" +
                        "\t\t<!--\t归档/解档ID\t-->\n" +
                        "\t\t<archiveId value=\""+UUID.randomUUID()+"\"/>\n" +
                        "\t\t<!--\t住院号\t-->\n" +
                        "\t\t<inHospIndexNo value=\""+dto.getInpatientNo()+"\"/>\n" +
                        "\t\t<!--\t住院次数\t-->\n" +
                        "\t\t<visitNo value=\""+dto.getAdmissTimes()+"\"/>\n" +
                        "\t\t<!--\t住院就诊流水号\t-->\n" +
                        "\t\t<inHospNo value=\""+dto.getJzh()+"\"/>\n" +
                        "\t\t<!--\t姓名\t-->\n" +
                        "\t\t<patientName value=\""+dto.getName()+"\"/>\n" +
                        "\t\t<!--\t出院科室代码\t-->\n" +
                        "\t\t<dischargeDeptCode value=\""+dto.getDisDept()+"\"/>\n" +
                        "\t\t<!--\t出院科室\t-->\n" +
                        "\t\t<dischargeDeptName value=\""+dto.getDisDeptName()+"\"/>\n" +
                        "\t\t<!--\t申请人工号\t-->\n" +
                        "\t\t<applicantCode value=\""+dto.getApplyUserName()+"\"/>\n" +
                        "\t\t<!--\t申请人\t-->\n" +
                        "\t\t<applicantName value=\""+dto.getApplyName()+"\"/>\n" +
                        "\t\t<!--\t操作人工号\t-->\n" +
                        "\t\t<operatorCode value=\""+dto.getControlUserName()+"\"/>\n" +
                        "\t\t<!--\t操作人\t-->\n" +
                        "\t\t<operatorName value=\""+dto.getControlName()+"\"/>\n" +
                        "\t\t<!--\t解档时间（根据天数从当前时间后推）\t-->\n" +
                        "\t\t<unarchiveTime value=\""+dto.getAuditTime()+"\"/>\n" +
                        "\t\t<!--\t解档天数\t-->\n" +
                        "\t\t<unarchiveDays value=\""+dto.getDay()+"\"/>\n" +
                        "\t\t<!--\t解档\\归档状态 0:解档 1:归档\t-->\n" +
                        "\t\t<archiveState value=\""+dto.getIsArchive()+"\"/>\n" +
                        "\t\t<!--\t解档\\归档文书类型 0:电子病历1:护理\t-->\n" +
                        "\t\t<archiveType value=\""+dto.getCollectIds()+"\"/>\n" +
                        "\t\t<!--\t医院信息 code是医院代码  value是医院名称\t-->\n" +
                        "\t\t<hospInfo code=\"4560886379\" value=\"南方医科大学顺德医院\"/>\n" +
                        "\t</controlActProcess>\n" +
                        "</PRPA_HIP1265>";
        return result;
    }
}
