package com.docus.server.common.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 涉及远程调用的一些过程信息
 *
 * @author wyb
 * @date 2023-10-13
 */
@Data
public class RemoteCallResult implements Serializable {

    private static final long serialVersionUID = 1L;


    private Long id;

    /**
     * 关键词搜索
     */
    private String keyword;

    /**
     * 地址
     */
    private String url;

    /**
     * 请求头
     */
    private String header;

    /**
     * 请求参数
     */
    private String request;

    /**
     * 响应结果
     */
    private String response;

    /**
     * 异常信息等备注
     */
    private String remark;

    /**
     * 接口描述
     */
    private String description;

    /**
     * 请求参数存储类型 0表，1本地磁盘
     */
    private Integer requestStorageType;

    /**
     * 请求参数存储类型 0表，1本地磁盘
     */
    private Integer responseStorageType;

    /**
     * 调用情况 1正常，2连接异常，3业务异常
     */
    private Integer callStatus;

    /**
     * 调用开始时间
     */
    private Date callStartTime;

    /**
     * 调用结束时间
     */
    private Date callEndTime;

    public RemoteCallResult() {
    }
}