package com.docus.server.report.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 应用业务配置
 *
 * @author wyb
 */
@Component
@Getter
@Setter
public class SdRyReportQueryConfig {
    /**
     * 同一个来源采集，区分婴儿来源的后缀
     */
    public static String BABY_COLLECTOR_ID_SUFFIX = "_B";


    @Value("${sdry.report-index-query.wsdl-addr:}")
    private String queryReportIndexWsdlAddr;
    @Value("${sdry.report-index-query.namespace-uri:}")
    private String queryReportIndexWsdlNamespaceUri;
    @Value("${sdry.report-index-query.operationName:}")
    private String queryReportIndexWsdlOperationName;
    @Value("${sdry.report-index-query.interval:1000}")
    private int queryReportIndexInterval;

    @Value("${sdry.report-query-url.lis.url:}")
    private String reportQueryLisUrl;
    @Value("${sdry.report-query-url.lis.action:}")
    private String reportQueryLisAction;
    @Value("${sdry.report-query-url.lis.accessKey:}")
    private String reportQueryLisAccessKey;
    @Value("${sdry.report-query-url.lis.interval:1000}")
    private int reportQueryLisInterval;
    @Value("${sdry.report-query-url.lis.collectorId}")
    private String reportQueryLisCollectorId;
    @Value("${sdry.report-query-url.lis.defaultAssortType:other}")
    private String reportQueryLisDefaultAssortType;


    @Value("${sdry.report-query-url.inspect.url:}")
    private String reportQueryInspectUrl;
    @Value("${sdry.report-query-url.inspect.action:}")
    private String reportQueryInspectAction;
    @Value("${sdry.report-query-url.inspect.accessKey:}")
    private String reportQueryInspectAccessKey;
    @Value("${sdry.report-query-url.inspect.interval:1000}")
    private int reportQueryInspectInterval;
    @Value("${sdry.report-query-url.inspect.mz-collectorId}")
    private String reportQueryMzInspectCollectorId;
    @Value("${sdry.report-query-url.inspect.zy-collectorId}")
    private String reportQueryZyInspectCollectorId;
    @Value("${sdry.report-query-url.inspect.defaultAssortType:other}")
    private String reportQueryZyInspectDefaultAssortType;


    @Value("${sdry.report-query-url.nurseInsertSugar.url:}")
    private String reportQueryNurseInsertSugarUrl;
    @Value("${sdry.report-query-url.nurseInsertSugar.interval:1000}")
    private int reportQueryNurseInsertSugarInterval;
    @Value("${sdry.report-query-url.nurseInsertSugar.collectorId}")
    private String reportQueryNurseInsertSugarCollectorId;


    @Value("${sdry.report-query-url.nurseInsertSugar.defaultAssortType:other}")
    private String reportQueryNurseInsertSugarDefaultAssortType;
    @Value("${sdry.report-query-url.nurseInsertSugar.pushErr.url:}")
    private String reportQueryNurseInsertSugarErrPushUrl;
    @Value("${sdry.report-query-url.nurseInsertSugar.pushErr.interval:1000}")
    private int reportQueryNurseInsertSugarErrPushInterval;


    @Value("${sdry.report-query-url.blood.collectorId}")
    private String bloodCollectorId;
    @Value("${sdry.report-query-url.blood.url}")
    private String bloodUrl;
    @Value("${sdry.report-query-url.blood.defaultAssortType}")
    private String bloodDefaultAssortType;


}
